package commons.pfc;

import java.util.Calendar;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class menu_love_monuments extends AndromediacommonsActivity {
	final Intent intent = new Intent();
	
	 @Override
	    public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
	        setContentView(R.layout.layout_menu_love_monuments);
	        
	        Inicializar();      
	 }
	 
	 private void Inicializar()
	 {
		 Button bt;
		 Calendar c = Calendar.getInstance();
		 int mes = c.get(Calendar.MONTH) + 1;//Mes actual
		 bt= (Button) findViewById(R.id.btconcurso);
		 
		 if (mes != 9) //El concurso solo es en Septiembre
			 bt.setVisibility(Button.INVISIBLE);
		 else
			 bt.setVisibility(Button.VISIBLE);
	 }
	 
	 public void Click_Descargar_Monumentos(View botton)
	 {
		 datos.wikimonuments = true;
		 
		 
		 intent.setComponent(new ComponentName(this, obtener_coordenadas.class));
		 startActivity(intent);
	 }
	 
	 public void Click_Cargar_Mapa(View bottom)
	 {
		 datos.mapa = true;
		 intent.setComponent(new ComponentName(this, obtener_coordenadas.class));
		 startActivity(intent);
	 }
	 
	 public void Click_Concurso(View bottom)
	 {
		 datos.concurso = true;
		 datos.wikimonuments = true;
		 intent.setComponent(new ComponentName(this, obtener_coordenadas.class));
		 startActivity(intent);
	 }
	 
	 @Override
	    public void onBackPressed()
	    {
			Intent intent = new Intent();
			monumentsDB.bd = false;
			datos.ReiniciarDatos();
			intent.setComponent(new ComponentName(this, modo_captura.class));
			startActivity(intent);
	    }

}
