package commons.pfc;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.database.Cursor;
import android.graphics.BitmapFactory;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.BitmapFactory.Options;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.provider.MediaStore.MediaColumns;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;

public class seleccion_imagenes_rafaga extends AndromediacommonsActivity {
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_seleccion_imagenes_rafaga);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        Elegir_Foto();
    }
	
	private Uri selectedImage;
	private int SELECT_IMAGE = 1;
	Intent intent = new Intent();
	private ImageView imgPhoto;
	private static String path_aux;
	    
	private void Elegir_Foto()
    {	
        Intent intent = new Intent(Intent.ACTION_PICK, android.provider.MediaStore.Images.Media.INTERNAL_CONTENT_URI);
        intent.setType("image/*");
        startActivityForResult(intent, SELECT_IMAGE);  
    }
	
 @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) 
    {
      super.onActivityResult(requestCode, resultCode, data);
          imgPhoto = (ImageView) findViewById(R.id.imageView11);
          
          try
          {
    	       selectedImage = data.getData();
    	       datos.uri=selectedImage.toString();
    	       datos.path = getPath(selectedImage);
    	       datos.obtener_fecha_exif();
    	       datos.nom_imagen = datos.Nombre_Imagen(datos.path);
    	      // datos.aux = BitmapFactory.decodeFile(datos.path);
    	       
    	       FileOutputStream out;
    	       
    	       try 
    	       {
    	    	   path_aux = datos.copyFile(datos.path, Environment.getExternalStorageDirectory().toString());
    	    	   try {
    	  			 if(datos.aux != null)
    	  				datos.aux.recycle();
    	  			datos.aux = null;
    	  		         
    	  			datos.aux = BitmapFactory.decodeFile(path_aux);
    	  			 
    	  			} catch (OutOfMemoryError e) {
    	  			  try {
    	  			    Options options = new BitmapFactory.Options();
    	  			    options.inSampleSize = 2;
    	  			  datos.aux = BitmapFactory.decodeFile(path_aux, options);
    	  			   
    	  			  } catch(Exception ex) {
    	  			    Log.e(datos.path, datos.path, e);
    	  			  }
    	  			}
    	    	   
    	    	   //datos.aux = BitmapFactory.decodeFile(path_aux);
    	    	   out = new FileOutputStream(path_aux);
    	    	   datos.aux.compress(CompressFormat.JPEG, 60, out);
    	    	   imgPhoto.setImageBitmap(datos.aux);
    	       }
    	       catch (FileNotFoundException e) 
    	       {
    	    	  Intent intent = new Intent();
    	     	  datos.rafaga = false;
    	     	  datos.ReiniciarDatos();
    	     	  monumentsDB.bd = false;
    	     	  intent.setComponent(new ComponentName(this, modo_captura.class));
    	     	  startActivity(intent);
    	    	   
    	       }
           }
          catch(Exception e)
          {
        	  Intent intent = new Intent();
        	  datos.rafaga = false;
        	  datos.ReiniciarDatos();
        	  monumentsDB.bd = false;
        	  intent.setComponent(new ComponentName(this, modo_captura.class));
        	  startActivity(intent);
          }
         
    }
    

    public void Click_Siguiente(View botton)
    {
    	if ( !datos_imagenes_rafaga.contains(datos.path + "XXX" + datos.nom_imagen))	//Lista que contiene el path y el nombre de las imagenes que se subiran posteriormente
    		datos_imagenes_rafaga.add(datos.path + "XXX" + datos.nom_imagen);
    	Reset_ImageView();
        	
    	intent.setComponent(new ComponentName(this, seleccion_imagenes_rafaga.class));
		startActivity(intent);

    }
    
    public void Click_FinRafaga(View botton)
    {
    	if ( !datos_imagenes_rafaga.contains(datos.path + "XXX" + datos.nom_imagen))
    		datos_imagenes_rafaga.add(datos.path + "XXX" + datos.nom_imagen);
    	Reset_ImageView();
    	
    	intent.setComponent(new ComponentName(this, licencias.class));
    	startActivity(intent);
    }
    
    private String Nombre_Imagen(String path)
    {
    	String[] desglose_ruta = path.split("/");

    	return  desglose_ruta[desglose_ruta.length -1];
    }
    
    private String getPath(Uri uri) {
    	 String[] projection = { MediaColumns.DATA };
    	 Cursor cursor = managedQuery(uri, projection, null, null, null);
    	 int column_index = cursor.getColumnIndexOrThrow(MediaColumns.DATA);
    	 cursor.moveToFirst();
    	 return cursor.getString(column_index);
    }  
    
    @Override
    public void onBackPressed()
    {
		datos.rafaga = false;
		datos.uri = "";
		datos.path ="";
		datos.nom_imagen ="";
		datos_imagenes_rafaga.clear();
		intent.setComponent(new ComponentName(this, modo_captura.class));
		startActivity(intent);
    }
    
    private void Reset_ImageView()
    {
    	if (imgPhoto != null) 
    	{
        	imgPhoto.destroyDrawingCache();
        	imgPhoto.setImageBitmap(null);
        	imgPhoto = null;
            System.gc();
            if(datos.aux != null)
            	datos.aux.recycle();
            datos.aux = null;
        }
    }
}


